Subject: Ticket Assigned - Click & Collect
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 29 May 2021 03:00:07 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I had ordered Cloths 2weeks before.
Money was debited at first place 
Until now no update for collection or order delivery

I have made many complains but all in vain

Still my money is gone and clths I don't know when I will get no updates no assurance 
Total waste of money and time 

I will wait this week and then will complain to Saudi consumer Authority about the fraud or bad service ??? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2635649